/*
 * @author Adimeo
 * @since 1.0
 */

/* Fonts
----------------------------------------------- */
/* montserrat-regular - latin */
@font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/montserrat-v18-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
        url('../fonts/montserrat-v18-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
        url('../fonts/montserrat-v18-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
        url('../fonts/montserrat-v18-latin-regular.woff') format('woff'), /* Modern Browsers */
        url('../fonts/montserrat-v18-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
        url('../fonts/montserrat-v18-latin-regular.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-600 - latin */
@font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/montserrat-v18-latin-600.eot'); /* IE9 Compat Modes */
    src: local(''),
        url('../fonts/montserrat-v18-latin-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
        url('../fonts/montserrat-v18-latin-600.woff2') format('woff2'), /* Super Modern Browsers */
        url('../fonts/montserrat-v18-latin-600.woff') format('woff'), /* Modern Browsers */
        url('../fonts/montserrat-v18-latin-600.ttf') format('truetype'), /* Safari, Android, iOS */
        url('../fonts/montserrat-v18-latin-600.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-800 - latin */
@font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 800;
    src: url('../fonts/montserrat-v18-latin-800.eot'); /* IE9 Compat Modes */
    src: local(''),
        url('../fonts/montserrat-v18-latin-800.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
        url('../fonts/montserrat-v18-latin-800.woff2') format('woff2'), /* Super Modern Browsers */
        url('../fonts/montserrat-v18-latin-800.woff') format('woff'), /* Modern Browsers */
        url('../fonts/montserrat-v18-latin-800.ttf') format('truetype'), /* Safari, Android, iOS */
        url('../fonts/montserrat-v18-latin-800.svg#Montserrat') format('svg'); /* Legacy iOS */
}
  
/* Main
----------------------------------------------- */

::placeholder {
    color: #917FC2;
}

a,
a img,
*:focus {
    outline: 0 !important;
}

body {
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 16px;
    color: #240085;
}

h1, h2, h3, h4, h5 {
    font-weight: 800;;
    margin: 0;
    padding: 20px 0;
}

fieldset {
    margin: 0;
    padding: 0;
    border: none;
}

.clearfix:after {
    content: "";
    display: table;
    clear: both;
}

.hidden {
    display: none;
}

.cta {
    text-align: center;
    padding: 20px 40px;
    font-weight: 600;
    background: #8ABB86;
    border: solid 4px #8ABB86;
    text-align: center;
    display: inline-block;
    color: #fff;
    text-decoration: none;
    min-width: 160px;
    border-radius: 35px;
    transition: all 150ms linear;
    box-sizing: border-box;
}

.cta:hover {
    background: none;
    color: #8ABB86;
}

.cta.disabled {
    background: #8ABB86;
    color: #fff;
    cursor: default;
    opacity: 0.5;
}

.valign1 {
    display: table;
    width: 100%;
    height: 100%;
}

.valign2 {
    display: table-cell;
    width: 100%;
    height: 100%;
    vertical-align: middle;
}

.valign3 {
    display: inline-block;
    width: 100%;
}

.height-full {
    height: 100%;
}

.template {
    display: none;
}

.bolder {
    font-weight: 600;
}

.bold {
    font-weight: 700;
}

.italic {
    font-style: italic;
}

.margtop {
    margin-top: 40px;
}

.small-title {
    color: #A2A2A2;
    text-transform: uppercase;
    font-size: 10px;
    margin: 0;
    padding: 25px 0 12px 0;
    font-weight: 600;
}

.tags span {
    display: inline-block;
    font-size: 15px;
    border: solid 1px #240085;
    border-radius: 3px;
    margin-right: 10px;
    margin-bottom: 10px;
    padding: 7px 10px;
    cursor: pointer;
    transition: all 150ms linear;
}

.tags span:hover {
    opacity: 0.8;
    background: #24008533;
}

.tags span.active {
    opacity: 1;
    background: #C1B7DC;
}

.form {
    max-width: 545px;
    margin: auto;
}

.form-field {
    margin-bottom: 20px;
    text-align: left;
}

.form-field input[type="text"],
.form-field input[type="password"],
.form-field input[type="email"],
.form-field select {
    border: solid 1px #2400854D;
    color: #240085;
    display: inline-block;
    font-size: 15px;
    line-height: 19px;
    padding: 15px;
    border-radius: 27px;
    width: 100%;
    box-sizing: border-box;
}

.form-field-error p {
    padding: 0;
    margin: 0;
    font-size: 15px;
    text-align: center;
    color: #ff0c0c;
}

.form-group {
    overflow: hidden;
}

.form-group .form-field {
    width: 50%;
    float: left;
}

.form-group .form-field input {
    width: calc(100% - 10px);
}

.form-group .form-field + .form-field {
    text-align: right;
}

.form-field-checkbox {
    padding-left: 10px;
}

.form-field-checkbox input {
    border: solid 1px #240085;
    width: 12px;
    height: 12px;
}

.form-field-checkbox label {
    font-size: 15px;
    color: #240085;
    line-height: 19px;
    display: block;
    float: right;
    width: calc(100% - 22px);
}

.form-submit {
    padding-top: 10px;
}

.form-submit button {
    font-size: 18px;
    font-weight: normal;
    line-height: 22px;
    letter-spacing: 1px;
}

.cards {
    max-width: 700px;
    margin: 30px auto 0 auto;
}

.card {
    box-shadow: 0 3px 16px rgb(0 0 0 / 6%);
    padding: 40px;
    border-radius: 10px;
    width: calc(50% - 20px); 
    float: left;
    box-sizing: border-box;
}

.card + .card {
    float: right;
}

.card-body {
    min-height: 207px;
    padding-bottom: 10px;
    font-size: 15px;
    line-height: 19px;
}

.card-body img {
    display: block;
    margin: auto;
    width: 70px;
    height: auto;
    border-radius: 50%;
}

.card-body p {
    margin: 0;
    padding: 15px 0;
}

.card-body p + p {
    padding-top: 0;   
}

.card-body #contact-name {
    font-weight: bold;
}

.card .cta {
    font-size: 18px;
    line-height: 22px;
    font-weight: normal;
}

#header {
    text-align: center;
    padding: 20px 0;
    box-sizing: border-box;
    height: 121px;
    box-shadow: 0 0 16px rgb(0 0 0 / 6%);
    position: relative;
    z-index: 1;
}

#header img {
    height: 81px;
    width: auto;
    display: inline-block;
}

#footer {
    background: #240085;
    font-size: 12px;
    text-align: center;
    padding: 8px 0;
    box-sizing: border-box;
    height: 30px;
}

#footer a {
    color: #fff;
    text-decoration: underline;
}

#footer a:hover {
    text-decoration: none;
}

#main {
    height: calc(100vh - 121px - 30px);
    min-height: 350px;
}

#homepage {
    background: rgb(36 0 133 / 65%) url(../img/background1jpg.jpg) no-repeat center center;
    background-size: cover;
    color: #fff;
    text-align: center;
}

#homepage h1 {
    font-size: 30px;
    line-height: 37px;
    text-shadow: 0 3px 6px #00000067;
}

#homepage .chapo {
    font-size: 20px;
    margin: 0 0 40px 0;
}

#homepage .inner {
    max-width: 800px;
    margin: auto;
}

#sidebar {
    height: 100%;
    box-sizing: border-box;
    width: 350px;
    padding: 30px;
    float: left;
    background: #E3EEE5;
}

#sidebar .nav-step {
    position: relative;
    padding-left: 25px;
    border-left: solid 2px #B9D6B6;
    padding-bottom: 10px;
    transition: all 150ms linear;
}

#sidebar .nav-step.on {
    border-left-color: #89BB86;
}

#sidebar .nav-step-on {
    display: none;
}

#sidebar .nav-step.on .nav-step-on {
    display: block;
}

#sidebar .nav-step:last-child {
    border: none;
}

#sidebar a {
    text-decoration: none;
    display: block;
    margin-bottom: 10px;
    color: #89BB86;
    font-size: 14px;
    line-height: 18px;
    cursor: default;
}

#sidebar .done a {
    cursor: pointer;
}

#sidebar a:last-child {
    margin-bottom: 0;
}

#sidebar .on .nav-step-main {
    font-weight: 600;
}

#sidebar .number {
    position: absolute;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #B9D6B6;
    text-align: center;
    line-height: 20px;
    color: #fff;
    top: 0;
    left: -10px;
    z-index: 1;
    font-size: 14px;
    transition: background-color 150ms linear;
}

#sidebar .on .number {
    background-color: #89BB86;
}

#sidebar .done .number {
    text-indent: -999em;
    background-image: url(../img/check-solid.svg);
    background-position: center center;
    background-size: 14px 14px;
    background-repeat: no-repeat;
}

#steps {
    height: 100%;
    box-sizing: border-box;
    width: calc(100% - 350px);
    float: left;
    overflow-x: hidden;
    text-align: center;
    background: #FAFBFC;
}

#steps form,
#steps .simplebar-content,
#steps .step,
#steps .step-content {
    height: 100%;
    box-sizing: border-box;
}

#steps .align-left {
    text-align: left;
}

#steps .step {
    position: relative;
}

#steps .step-content {
    padding: 30px 80px;
    box-sizing: border-box;
    overflow-x: hidden;
}

#steps .step.with-buttons .step-content {
    height: calc(100% - 87px);
}

#steps .buttons {
    height: 87px;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    box-sizing: border-box;
    padding: 10px 30px;
    text-align: right;
    background: #fff;
    box-shadow: 0 -3px 20px rgb(0 0 0 / 4%);
}

#steps .buttons .text {
    color: #191919;
    font-size: 24px;
    line-height: 29px;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 28px;
    left: 30px;
}

#steps .buttons .value {
    color: #240085;
    font-weight: 700;
}

#steps .buttons .value.error {
    color: #f70404;
}

#steps .step-number {
    font-size: 20px;
    font-weight: 800;;
    margin: 0;
    padding-bottom: 15px;
}

#steps h2 {
    font-size: 20px;
    padding-top: 0;
    padding-bottom: 50px;
}

#steps .choice {
    display: inline-block;
    vertical-align: top;
    border-radius: 7px;
    box-shadow: 0 3px 16px rgb(0 0 0 / 6%);
    padding: 16px 25px;
    text-align: center;
    width: 355px;
    margin-right: 30px;
    margin-bottom: 30px;
    cursor: pointer;
    transition: all 200ms linear;
    overflow: hidden;
    box-sizing: border-box;
}

#steps input:not(:checked) + .choice:not(.recap-choice):hover {
    transform: scale(1.015);
}

#steps input:checked + .choice {
    opacity: 1;
}

#steps input:not(:disabled) + .choice:not(.recap-choice):hover,
#steps input:not(:disabled):checked + .choice {
    color: #fff;
    background: #240085;
}

#steps input:not(:disabled) + .choice-core:not(.recap-choice):hover,
#steps input:not(:disabled):checked + .choice-core {
    background: #6e6e6e;
}

#steps input:not(:disabled) + .choice-elective:not(.recap-choice):hover,
#steps input:not(:disabled):checked + .choice-elective {
    background: #4f2acb;
}

#steps input:disabled + .choice {
    opacity: 0.35;
    cursor: default;
}

#steps .choice:last-child {
    margin-right: 0;
}

#steps .choice .title {
    font-size: 16px;
    line-height: 19px;
    font-weight: 800;;
}

#steps .choice .desc {
    font-size: 16px;
    line-height: 19px;
    box-sizing: border-box;
}

#steps .recap-choice:hover {
    cursor: default;
}

#steps .recap-choice .title {
    margin-left: -30px;
    margin-right: -30px;
    margin-top: -30px;
    background: #240085;
    padding: 30px 20px 17px 20px;
    color: #fff;
}

#steps .cores .recap-choice .title {
    background: #6e6e6e;
    color: #fff;
}

#steps .electives .recap-choice .title {
    background: #4f2acb;
    color: #fff;
}

#steps .recap-choice .desc {
    margin-bottom: 5px;   
}

#calendar {
    display: none;
    position: fixed;
    left: 30px;
    width: 290px;
    bottom: 60px;
}

#calendar-overflow {
    overflow: hidden;
    max-height: 100%;
    overflow: hidden;
}

#calendar-legend {
    text-align: center;
    position: relative;
    top: -2px;
}

#calendar-legend span {
    display: inline-block;
    margin-right: 7px;
    padding-left: 15px;
    font-size: 12px;
    position: relative;
}

#calendar-legend span:last-child {
    margin-right: 0;
}

#calendar-legend span::after {
    display: inline-block;
    content: ' ';
    height: 10px;
    width: 10px;
    position: absolute;
    top: 3px;
    left: 0;
}

#calendar-legend .seminar::after {
    background: #f3c649;
}

#calendar-legend .core::after {
    background: #6e6e6e;
}

#calendar-legend .elective::after {
    background: #4d28c9;
}

#calendar-arrow {
    display: none;
}

#calendar * {
    user-select: none;
}

#calendar span.flatpickr-weekday {
    font-weight: 600;
    text-transform: uppercase;
    color: #240085;
    font-size: 11px;
}

#calendar .flatpickr-months {
    background: #240085;
    font-size: 12px !important;
    color: #fff;
}

#calendar .flatpickr-current-month .flatpickr-monthDropdown-months {
    background: #240085;
}

#calendar .flatpickr-months .flatpickr-month {
    color: #fff;
}

#calendar .flatpickr-months .flatpickr-prev-month, 
#calendar .flatpickr-months .flatpickr-next-month {
    top: -2px;
}

#calendar .flatpickr-months svg {
    fill: #fff;
}

#calendar .flatpickr-calendar,
#calendar .dayContainer,
#calendar .flatpickr-days {
    width: 100%;
    min-width: 0;
    box-sizing: border-box;
    max-width: 290px;
}

#calendar .flatpickr-calendar {
    overflow: hidden;
}

#calendar .flatpickr-current-month .numInputWrapper span.arrowUp:after {
    border-bottom-color: #fff;
}
#calendar .flatpickr-current-month .numInputWrapper span.arrowDown:after {
    border-top-color: #fff;
}

#calendar .numInputWrapper span {
    opacity: 1;
}

#calendar .flatpickr-day:hover,
#calendar .flatpickr-day {
    border-radius: 0;
    font-size: 12px;
    padding: 0 8px 0 0;
    line-height: 23px;
    text-align: right;
    background: #fff;
    color: #B5B5B5;
    border: none;
    cursor: default;
    margin-bottom: 2px;
}

#calendar .flatpickr-day.core {
    background: #6e6e6e;
    color: #fff;
}

#calendar .flatpickr-day.elective {
    background: #4d28c9;
    color: #fff;
}

#calendar .flatpickr-day.seminar {
    background: #f3c649;
    color: #240085;
}

#download {
    text-align: center;
}

#download .cta {
    margin-top: 30px;   
}

#burger-menu {
    position: fixed;
    top: 25px;
    right: 20px;
    z-index: 2;
    width: 50px;
    height: 50px;
    display: none;
    padding-top: 4px;
    box-sizing: border-box;
}

#burger-menu span {
    display: block;
    width: 55%;
    background: #89BB86;
    height: 4px;
    margin: 6px auto 0 auto;
    transition:all 250ms linear;
    position: relative;
}

#burger-menu.active span:first-child {
    transform:rotate(-45deg);
    transform-origin: center center;
    top:11px;
}

#burger-menu.active span:first-child + span {
    transform:rotate(45deg);
    transform-origin: center center;
}

#burger-menu.active span:last-child {
    opacity: 0;
}

#progress {
    display: none;
}

@media only screen and (max-width: 1280px){
    .card-body {
        min-height: 190px;
    }

    .card .cta {
        font-size: 16px;
        line-height: 18px;
    }

    #steps .step-content {
        padding-left: 40px;
        padding-right: 40px;
    }

    #steps .choice {
        width: 267px;
    }
}

@media only screen and (max-width: 800px),
       only screen and (max-height: 860px) {
    .cta {
        padding: 12px 30px;
    }

    .paddbotmobile {
        padding-bottom: 100px;
    }

    #header {
        height: 92px;
    }

    #header img {
        height: 52px;
        width: auto;
    }

    #sidebar,
    #main {
        height: calc(100vh - 92px);
    }

    #footer {
        position: fixed;
        z-index: 3;
        bottom: 0; 
        right: -101%;
        width: 100%;
        opacity: 0;
        transition: all 500ms ease;
    }

    #homepage .inner {
        padding-left: 30px;
        padding-right: 30px;
    }

    #sidebar {
        position: fixed;
        z-index: 5;
        right: -101%;
        width: 100%;
        top: 92px;
        opacity: 0;
        transition: all 500ms ease;
    }

    #steps {
        width: 100%;
        float: none;
    }

    #steps .buttons {
        height: 70px;
        background: #fff;
        z-index: 4;
        border-top: solid 1px #e1e1e1;
    }

    #steps .buttons .text {
        font-size: 18px;
        line-height: 14px;
    }

    #calendar {
        position: fixed;
        bottom: 70px;
        left: 0;
        width: 100%;
        height: 94px;
        background: #fff;
        box-sizing: border-box;
        padding-top: 20px;
        z-index: 3;
        box-shadow: 0 0 16px #0000001A;
        transition: all 250ms ease;
    }

    #calendar-arrow {
        background: #fff;
        border-radius: 50%;
        width: 48px;
        height: 48px;
        position: absolute;
        top: -24px;
        left: 50%;
        margin-left: -24px;
        display: block;
        box-shadow: 0 0 16px #0000001A;
        text-align: center;
        line-height: 48px;
    }

    #calendar-arrow:after {
        content: ' ';
        position: absolute;
        background: #fff;
        width: 100px;
        height: 24px;
        top: 24px;
        margin-left: -50px;
    }

    #calendar-arrow img {
        width: 17px;
        height: auto;
        position: relative;
        z-index: 1;
    }

    #calendar .flatpickr-calendar {
        margin: auto;
    }

    #calendar-legend {
        opacity: 0;
        height: 1px;
        transition: all 200ms linear;
    }
    
    #calendar.expand {
        height: 344px;
    }

    #calendar.expand #calendar-overflow {
        overflow: visible;
    }

    #calendar.expand #calendar-legend {
        height: 19px;
        opacity: 1;
    }

    #burger-menu {
        display: block;
    }

    #burger-menu.active ~ #footer,
    #burger-menu.active + #main #sidebar {
        right: 0;
        opacity: 1;
    }

    .no-burger #burger-menu {
        display: none !important;
    }

    .no-burger #footer {
        right: 0 !important;
        opacity: 1 !important;
    }

    #steps .step-number {
        padding-top: 20px;
    }

    #steps .choices > .choice {
        width: calc(50% - 21px);
    }

    #steps .choices > .recap-choice:nth-of-type(odd),
    #steps .choices > .choice:not(.recap-choice):nth-of-type(even) {
        margin-right: 0;
    }

    #progress {
        background: #B9D6B6;
        height: 5px;
        position: fixed;
        width: 100%;
        left: 0;
        top: 92px;
        display: block;
        z-index: 1;
    }

    #progress span {
        position: absolute;
        top: -1px;
        height: 7px;
        background: #89BB86;
        border-top-right-radius: 3px;
        border-bottom-right-radius: 3px;
        min-width: 15%;
        transition: all 180ms linear;
    }
}


@media only screen and (max-width: 640px){ 
    .card {
        width: 100%;
        margin-bottom: 30px;
    }

    #main {
        min-height: 0;
    }

    #homepage .chapo {
        font-size: 18px;
        line-height: 23px;
    }

    #steps .step-content {
        padding-left: 20px;
        padding-right: 20px;
    }

    #steps .buttons .text {
        font-size: 14px;
        line-height: 17px;
        left: 35px;
    }

    #steps .buttons .text-intro {
        display: none;
    }

    #steps .choice {
        width: 100% !important;
        margin-right: 0 !important;
    }

    body .cmpboxrecall {
        left: 5px;
        bottom: 5px;
    }
}